Skip to content

nodes / hosts ​

2 operations.

GET /nodes/{node}/hosts ​

ts
proxmox.nodes.$(node).hosts.$get()

Get the content of /etc/hosts.

Returns object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

POST /nodes/{node}/hosts ​

ts
proxmox.nodes.$(node).hosts.$post()

Write /etc/hosts.

Returns nothing.

ParameterTypeRequiredNotes
datastringyesThe target content of /etc/hosts.
digeststringPrevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars
nodestringyesThe cluster node name. — format pve-node